## com.sun.el.lang
Class VariableMapperFactory

    java.lang.Object
      javax.el.VariableMapper
          com.sun.el.lang.VariableMapperFactory

    public class VariableMapperFactory

extends VariableMapper

Constructor Summary
`VariableMapperFactory(VariableMapper target)`

Method Summary
`VariableMapper` `create()`
`ValueExpression` `resolveVariable(String variable)`
`ValueExpression` `setVariable(String variable, ValueExpression expression)` Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperFactory

    public VariableMapperFactory(VariableMapper target)

Method Detail

### create

    public VariableMapper create()

### resolveVariable

    public ValueExpression resolveVariable(String variable)

  Specified by:
    `resolveVariable` in class `VariableMapper`
  Parameters:
    `variable` - The variable name
  Returns:
    the ValueExpression assigned to the variable, null if there is no previous assignment to this variable.

### setVariable

    public ValueExpression setVariable(String variable,
                                       ValueExpression expression)

  Description copied from class: `VariableMapper`
  Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable. The assignment for the variable is removed if the expression is `null`.

  Specified by:
    `setVariable` in class `VariableMapper`
  Parameters:
    `variable` - The variable name
    `expression` - The ValueExpression to be assigned to the variable.
  Returns:
    The previous ValueExpression assigned to this variable, null if there is no previouse assignment to this variable.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.